<?php
// Файл /var/www/www-root/data/www/pbnstat.ru/pbns2/admin/check-auth-manager.php

// Включаем отображение ошибок
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

echo "<h1>Проверка AuthManager</h1>";

// Проверяем существование файла
$authManagerFile = __DIR__ . '/../includes/AuthManager.php';
echo "<p>Файл AuthManager: " . (file_exists($authManagerFile) ? "Существует" : "Отсутствует") . "</p>";

if (file_exists($authManagerFile)) {
    // Показываем первые строки файла
    echo "<h2>Начало файла AuthManager:</h2>";
    $content = file_get_contents($authManagerFile);
    $lines = explode("\n", $content);
    $firstLines = array_slice($lines, 0, 20);
    echo "<pre>" . htmlspecialchars(implode("\n", $firstLines)) . "...</pre>";
    
    try {
        // Загружаем AuthManager
        echo "<h2>Попытка загрузки AuthManager:</h2>";
        require_once $authManagerFile;
        echo "<p style='color:green'>Файл успешно загружен</p>";
        
        // Проверяем, существует ли класс
        if (class_exists('AuthManager')) {
            echo "<p style='color:green'>Класс AuthManager существует</p>";
            
            // Проверяем методы класса
            $methods = get_class_methods('AuthManager');
            echo "<p>Доступные методы: " . implode(', ', $methods) . "</p>";
        } else {
            echo "<p style='color:red'>Класс AuthManager не существует в файле</p>";
            
            // Проверяем содержимое файла на наличие класса
            if (strpos($content, 'class AuthManager') !== false) {
                echo "<p>Файл содержит определение класса AuthManager, но класс не загружен</p>";
            } else {
                echo "<p>Файл не содержит определение класса AuthManager</p>";
            }
        }
    } catch (Exception $e) {
        echo "<p style='color:red'>Ошибка при загрузке AuthManager: " . $e->getMessage() . "</p>";
        
        // Дополнительная информация об ошибке
        echo "<h3>Дополнительная информация:</h3>";
        echo "<p>Тип ошибки: " . get_class($e) . "</p>";
        echo "<p>Файл: " . $e->getFile() . "</p>";
        echo "<p>Строка: " . $e->getLine() . "</p>";
        echo "<p>Трассировка:</p>";
        echo "<pre>" . $e->getTraceAsString() . "</pre>";
    }
}

// Проверяем наличие других необходимых файлов
echo "<h2>Проверка зависимостей:</h2>";
$dependencies = [
    'SystemLogger' => __DIR__ . '/../includes/SystemLogger.php',
    'Config' => __DIR__ . '/../config/config.php',
];

foreach ($dependencies as $name => $path) {
    echo "<p>$name: " . (file_exists($path) ? "Существует" : "Отсутствует") . "</p>";
    
    if (file_exists($path)) {
        // Показываем начало файла
        $content = file_get_contents($path);
        $lines = explode("\n", $content);
        $firstLines = array_slice($lines, 0, 5);
        echo "<pre>" . htmlspecialchars(implode("\n", $firstLines)) . "...</pre>";
    }
}