<?php
// admin/component-delete.php
session_start();
require_once __DIR__ . '/../config/config.php';
require_once __DIR__ . '/../includes/SystemLogger.php';
require_once __DIR__ . '/../includes/AuthManager.php';

try {
    $db = new PDO("mysql:host=".DB_HOST.";dbname=".DB_NAME, DB_USER, DB_PASS, 
        array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION));
    
    $authManager = new AuthManager($db);
    if (!$authManager->isAuthenticated()) {
        header('Location: login.php'); exit;
    }
    
    if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['component_id'])) {
        $componentId = (int)$_POST['component_id'];
        $siteId = isset($_POST['site_id']) ? (int)$_POST['site_id'] : null;
        
        $db->prepare("DELETE FROM components WHERE id = ?")->execute([$componentId]);
        $_SESSION['notification'] = ['type' => 'success', 'message' => "Component deleted successfully"];
    }
    
    header('Location: components.php'.($siteId ? "?site_id=$siteId" : ''));
    exit;
} catch (Exception $e) {
    $_SESSION['notification'] = ['type' => 'danger', 'message' => "Error: ".$e->getMessage()];
    header('Location: components.php');
    exit;
}