<?php
// admin/templates/sites-list.php
?>
<div class="card">
    <div class="card-body">
        <?php if (empty($sites)): ?>
            <div class="alert alert-info">
                No sites found. Use the "Create New Site" button to add your first site.
            </div>
        <?php else: ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Domain</th>
                            <th>Title</th>
                            <th>Status</th>
                            <th>SSL</th>
                            <th>CloudFlare</th>
                            <th>Created</th>
                            <th>Updated</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($sites as $site): ?>
                            <tr>
                                <td><?php echo $site['id']; ?></td>
                                <td>
                                    <a href="//<?php echo htmlspecialchars($site['domain']); ?>" target="_blank">
                                        <?php echo htmlspecialchars($site['domain']); ?>
                                        <i class="fas fa-external-link-alt fa-xs"></i>
                                    </a>
                                </td>
                                <td><?php echo htmlspecialchars($site['title']); ?></td>
                                <td>
                                    <?php if ($site['active']): ?>
                                        <span class="badge bg-success">Active</span>
                                    <?php else: ?>
                                        <span class="badge bg-danger">Inactive</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if ($site['ssl_enabled']): ?>
                                        <span class="badge bg-success"><i class="fas fa-lock"></i> Enabled</span>
                                    <?php else: ?>
                                        <span class="badge bg-secondary"><i class="fas fa-unlock"></i> Disabled</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if ($site['cloudflare_enabled']): ?>
                                        <span class="badge bg-info"><i class="fas fa-cloud"></i> Enabled</span>
                                    <?php else: ?>
                                        <span class="badge bg-secondary">Disabled</span>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo date('Y-m-d', strtotime($site['created_at'])); ?></td>
                                <td><?php echo date('Y-m-d', strtotime($site['updated_at'])); ?></td>
                                <td>
                                    <div class="btn-group">
                                        <a href="site-edit.php?id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-primary" 
                                           title="Edit">
                                            <i class="fas fa-edit"></i>
                                        </a>
                                        
                                        <a href="pages.php?site_id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-info" 
                                           title="Pages">
                                            <i class="fas fa-file-alt"></i>
                                        </a>
                                        
                                        <a href="components.php?site_id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-secondary" 
                                           title="Components">
                                            <i class="fas fa-puzzle-piece"></i>
                                        </a>
                                        
                                        <a href="settings.php?site_id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-warning" 
                                           title="Settings">
                                            <i class="fas fa-cogs"></i>
                                        </a>
                                        
                                        <a href="backups.php?site_id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-success" 
                                           title="Backups">
                                            <i class="fas fa-save"></i>
                                        </a>
                                        
                                        <a href="delete-site.php?id=<?php echo $site['id']; ?>" 
                                           class="btn btn-sm btn-danger" 
                                           title="Delete"
                                           onclick="return confirm('Are you sure you want to delete this site? This action cannot be undone.');">
                                            <i class="fas fa-trash-alt"></i>
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php endif; ?>
    </div>
</div>