<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

echo "<h1>Проверка прав записи</h1>";

// Проверка текущих прав
echo "<h2>Информация о директории:</h2>";
$adminDir = __DIR__;
$logsDir = __DIR__ . '/logs';

// Проверка существования директории logs
if (!is_dir($logsDir)) {
    echo "<p>Создание директории для логов...</p>";
    if (mkdir($logsDir, 0777, true)) {
        echo "<p style='color:green'>Директория logs успешно создана</p>";
    } else {
        echo "<p style='color:red'>Не удалось создать директорию logs</p>";
    }
}

// Проверка прав
echo "<p>Права на директорию admin: " . substr(sprintf('%o', fileperms($adminDir)), -4) . "</p>";
echo "<p>Владелец директории admin: " . posix_getpwuid(fileowner($adminDir))['name'] . "</p>";
echo "<p>Группа директории admin: " . posix_getgrgid(filegroup($adminDir))['name'] . "</p>";

if (is_dir($logsDir)) {
    echo "<p>Права на директорию logs: " . substr(sprintf('%o', fileperms($logsDir)), -4) . "</p>";
    echo "<p>Владелец директории logs: " . posix_getpwuid(fileowner($logsDir))['name'] . "</p>";
    echo "<p>Группа директории logs: " . posix_getgrgid(filegroup($logsDir))['name'] . "</p>";
}

// Проверка процесса Apache
echo "<h2>Информация о процессе Apache:</h2>";
echo "<p>PHP запущен от пользователя: " . posix_getpwuid(posix_geteuid())['name'] . "</p>";
echo "<p>PHP запущен от группы: " . posix_getgrgid(posix_getegid())['name'] . "</p>";

// Тест записи файла
echo "<h2>Тест записи файла:</h2>";
$testFile = $logsDir . '/test_' . time() . '.log';
$content = 'Test log entry: ' . date('Y-m-d H:i:s');

if (file_put_contents($testFile, $content) !== false) {
    echo "<p style='color:green'>Успешно записан файл: $testFile</p>";
    echo "<p>Содержимое: " . htmlspecialchars(file_get_contents($testFile)) . "</p>";
} else {
    echo "<p style='color:red'>Не удалось записать в файл: $testFile</p>";
    echo "<p>Ошибка: " . error_get_last()['message'] . "</p>";
}

// Получение списка уже существующих файлов
echo "<h2>Существующие файлы логов:</h2>";
if (is_dir($logsDir)) {
    $logFiles = glob($logsDir . '/*.log');
    if (!empty($logFiles)) {
        echo "<ul>";
        foreach ($logFiles as $file) {
            echo "<li>" . basename($file) . " (" . filesize($file) . " bytes)</li>";
        }
        echo "</ul>";
    } else {
        echo "<p>Файлы логов не найдены</p>";
    }
} else {
    echo "<p>Директория логов не существует</p>";
}