<?php
// check_tables.php
error_reporting(E_ALL);
ini_set('display_errors', 1);

try {
    $db = new PDO(
        "mysql:host=localhost;dbname=multisite2",
        "multisite2",
        "gR1iA1aE9m",
        array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION)
    );
    
    // Определяем ожидаемые поля для каждой таблицы
    $expected_fields = [
        'sites' => ['id', 'domain', 'title', 'active', 'ssl_enabled', 'cloudflare_enabled', 'created_at', 'updated_at'],
        'pages' => ['id', 'site_id', 'title', 'slug', 'content', 'h1', 'meta_title', 'meta_description', 'is_system', 'created_at', 'updated_at'],
        'components' => ['id', 'site_id', 'name', 'type', 'content', 'is_active', 'created_at', 'updated_at'],
        'site_settings' => ['id', 'site_id', 'key_name', 'value', 'created_at', 'updated_at'],
        'redirects' => ['id', 'site_id', 'source_url', 'target_url', 'redirect_type', 'is_active', 'created_at']
    ];
    
    foreach ($expected_fields as $table => $fields) {
        echo "<h3>Проверка таблицы '$table':</h3>";
        try {
            $stmt = $db->query("DESCRIBE $table");
            $existing_fields = $stmt->fetchAll(PDO::FETCH_COLUMN);
            
            foreach ($fields as $field) {
                if (in_array($field, $existing_fields)) {
                    echo "Поле '$field' существует.<br>";
                } else {
                    echo "<strong style='color:red'>ОШИБКА: Поле '$field' отсутствует!</strong><br>";
                }
            }
        } catch(PDOException $e) {
            echo "Ошибка проверки таблицы $table: " . $e->getMessage() . "<br>";
        }
    }
} catch(PDOException $e) {
    echo "Ошибка подключения: " . $e->getMessage();
}
?>